Bug 1148746 - Rubygem-Staypuft: The default gateway resides on the wrong NIC. Should be on the public apil NIC where it exists otherwise on Provisioning/PXE. (VLAN)
Summary: Rubygem-Staypuft: The default gateway resides on the wrong NIC. Should be on ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z2
: Installer
Assignee: Brad P. Crochet
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-02 09:25 UTC by Ofer Blaut
Modified: 2014-11-04 17:03 UTC (History)
13 users (show)

Fixed In Version: rhel-osp-installer-0.4.4-1.el6ost
Doc Type: Bug Fix
Doc Text:
In VLAN environments, the default gateway was not set properly. As a result, nodes would not have any default gateway configured resulting in networking issues. With this update, the kickstart was improved to handle the VLAN use case. As a result, environments with VLAN will get the correct default gateway.
Clone Of: 1142295
Environment:
Last Closed: 2014-11-04 17:03:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Comment 1 Ofer Blaut 2014-10-02 09:28:24 UTC
When using subnet with VLAN and attach public API and external networks

The default GW will not be assigned 


DROUTE will be configured on the Physical interface , but not on the VLAN interface

Comment 5 Brad P. Crochet 2014-10-02 13:25:28 UTC
PR Submitted: 

https://github.com/theforeman/foreman-installer-staypuft/pull/95

Blocked by pr pending on foreman core

Comment 6 Marek Hulan 2014-10-02 13:36:19 UTC
This needs more testing, it seems we ignore defroute setting in kickstart (after networking snippet)

Comment 7 Marek Hulan 2014-10-09 15:23:25 UTC
We use following code to detect all interfaces on a host in our kickstart_networking_snippet:

    IFACES=$(ls -d /sys/class/net/* | while read iface; do readlink $iface | grep -q virtual || echo ${iface##*/}; done)

grep -q virtual clears vlan interfaces. I'm not sure who was the author of original snippet and what was the reason. Could someone take a look at this? 

Reassigning to Mike so he can pick the right person.

Comment 8 Brad P. Crochet 2014-10-14 16:41:17 UTC
PR Available: https://github.com/theforeman/foreman-installer-staypuft/pull/103

Comment 12 Ofer Blaut 2014-10-26 12:11:14 UTC
Tested 

rhel-osp-installer-0.4.5-2.el6ost.noarch

Public API have GW 10.35.174.254
Tenant got GW via 10.35.160.254
default have GW 192.168.0.1 

GW was selected according to public API

Comment 14 errata-xmlrpc 2014-11-04 17:03:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.